# Retrieve Accounting Rule Details Template

`GET /lokta-lms/api/v1/accountingrules/template`

Returns the field defaults and allowed values for creating an accounting rule.

This is a convenience resource. It can be useful when building maintenance user interface screens for client applications. The template data returned consists of any or all of:

Field Defaults
Allowed Value Lists
Example Request:

accountingrules/template

## Responses
- `default`: default response

## Response fields
- `allowMultipleCreditEntries` (boolean)
- `allowMultipleDebitEntries` (boolean)
- `allowedAccounts` (array of GLAccountData)
- `allowedCreditTagOptions` (array of CodeValueData)
- `allowedDebitTagOptions` (array of CodeValueData)
- `allowedOffices` (array of OfficeData)
- `creditAccounts` (array of GLAccountDataForLookup)
- `creditTags` (array of AccountingTagRuleData)
- `debitAccounts` (array of GLAccountDataForLookup)
- `debitTags` (array of AccountingTagRuleData)
- `description` (string)
- `id` (integer)
- `name` (string)
- `officeId` (integer)
- `officeName` (string)
- `systemDefined` (boolean)

## Example request (cURL)
```bash
curl -X GET \
  'https://default.lokta.tech/lokta-lms/api/v1/accountingrules/template' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default'
```

## Example response
```json
{
  "allowMultipleCreditEntries": true,
  "allowMultipleDebitEntries": true,
  "allowedAccounts": [
    {}
  ],
  "allowedCreditTagOptions": [
    {}
  ]
}
```

Interactive: https://developer.lokta.ai/reference#operation/retrieveTemplateAccountingRule
